--- old/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/cli/tests/modifymac.san	2014-10-07 19:19:35.484713472 +0200
+++ /dev/null	2014-10-07 19:19:35.000000000 +0200
@@ -1,135 +0,0 @@
-#!/usr/bin/ksh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-# Copyright (c) 2001 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-
-#
-# Source the utilities.
-#
-DIRNAME=`dirname $0`
-. ${DIRNAME}/utilities.san
-
-#
-# Process the input arguments.
-#
-VALIDOPTS=dr:p:
-process_args $@
-
-#
-# In case the tester wants to see script output, allow them
-# to run in debug mode.
-#
-TESTNAME=`basename $0`
-if [ ! -z "${DEBUG}" ]
-then
-    OUTFILE=/tmp/${TESTNAME}.$$
-    echo "Output from test: ${TESTNAME}" >${OUTFILE}
-    echo >>${OUTFILE}
-    echo "debug output can be found at ${OUTFILE}"
-else
-    OUTFILE=/dev/null
-fi
-
-#
-# Verify that macro is already defined in the dhcptab
-#
-DATAFILE=/tmp/${TESTNAME}.data.$$
-/usr/sbin/dhtadm -r ${DHCPRSRC} -p ${DHCPPATH} -P >${DATAFILE} 2>>${OUTFILE}
-RET=$?
-if [ "${RET}" != "0" ]
-then
-    rm ${DATAFILE}
-    echo "Error displaying dhcptab = ${RET}"
-    echo "${TESTNAME} - Test failed!"
-    exit 1
-fi
-
-MACRO=`grep "^TestMac" ${DATAFILE}`
-MACRO_DEFINITION=$(get_value ${MACRO})
-if [ "${MACRO_DEFINITION}" != ":Rootpath=/usr:" ]
-then
-    rm ${DATAFILE}
-    echo "Macro definition should have been defined as: :Rootpath=/usr:"
-    echo "${TESTNAME} - Test failed!"
-    exit 1
-fi
-rm ${DATAFILE}
-
-#
-# Modify the macro
-#
-/usr/sbin/dhtadm -r ${DHCPRSRC} -p ${DHCPPATH} -M -m TestMac -d ':TestOpt=129.148.11.240:' >>${OUTFILE} 2>&1
-RET=$?
-if [ "${RET}" != "0" ]
-then
-    echo "Error modifying macro = ${RET}"
-    echo "${TESTNAME} - Test failed!"
-    exit 1
-fi
-
-#
-# Verify that the macro is defined in the dhcptab.
-#
-/usr/sbin/dhtadm -r ${DHCPRSRC} -p ${DHCPPATH} -P >${DATAFILE} 2>>${OUTFILE}
-RET=$?
-if [ "${RET}" != "0" ]
-then
-    rm ${DATAFILE}
-    echo "Error displaying dhcptab = ${RET}"
-    echo "${TESTNAME} - Test failed!"
-    exit 1
-fi
-
-MACRO=`grep "^TestMac" ${DATAFILE}`
-if [ -z "${MACRO}" ]
-then
-    rm ${DATAFILE}
-    echo "Macro not modified in dhcptab"
-    echo "${TESTNAME} - Test failed!"
-    exit 1
-fi
-rm ${DATAFILE}
-
-#
-# Verify that the defintion was defined correctly
-#
-MACRO_DEFINITION=$(get_value ${MACRO})
-SRCH=":TestOpt=129.148.11.240:"
-macro_find_and_replace
-
-#
-# Verify that there was nothing else in the definition
-#
-if [ "${MACRO_DEFINITION}" != ":" ]
-then
-    echo "Macro definition has invalid extra symbols: ${MACRO_DEFINITION}"
-    echo "${TESTNAME} - Test failed!"
-    exit 1
-fi
-
-echo "${TESTNAME} - Test passed."
-exit 0
